EVs:
  2014 Nissan Leaf:
    10% to 80% charge time: 45
    epa combined mpg: 114
    epa highway mpg: 101
    epa range: 84
    hands free highway: false
    interor volume: 116
  2016 Nissan Leaf (24 kW-hr battery pack):
    10% to 80% charge time: 45
    epa combined mpg: 114
    epa highway mpg: 101
    epa range: 84
    hands free highway: false
    interor volume: 116
  2016 Nissan Leaf (30 kW-hr battery pack):
    10% to 80% charge time: 45
    epa combined mpg: 112
    epa highway mpg: 101
    epa range: 107
    hands free highway: false
    interor volume: 116
  2018 Nissan Leaf (40 kW-hr battery pack):
    10% to 80% charge time: 40
    epa combined mpg: 112
    epa highway mpg: 100
    epa range: 151
    hands free highway: false
    interor volume: 116
  2018 Tesla Model 3 Long Range:
    10% to 80% charge time: 27
    epa combined mpg: 130
    epa highway mpg: 123
    epa range: 310
    hands free highway: false
    interor volume: 112
  2018 Tesla Model 3 Long Range AWD:
    10% to 80% charge time: 27
    epa combined mpg: 116
    epa highway mpg: 112
    epa range: 310
    hands free highway: false
    interor volume: 112
  2018 Tesla Model 3 Long Range AWD Performance:
    10% to 80% charge time: 27
    epa combined mpg: 116
    epa highway mpg: 112
    epa range: 310
    hands free highway: false
    interor volume: 112
  2018 Tesla Model 3 Mid Range:
    10% to 80% charge time: 27
    epa combined mpg: 123
    epa highway mpg: 117
    epa range: 260
    hands free highway: false
    interor volume: 112
  2019 Nissan Leaf (62 kW-hr battery pack):
    10% to 80% charge time: 45
    epa combined mpg: 108
    epa highway mpg: 97
    epa range: 226
    hands free highway: false
    interor volume: 116
  2020 Chevrolet Bolt EV:
    10% to 80% charge time: 73
    epa combined mpg: 118
    epa highway mpg: 108
    epa range: 259
    hands free highway: false
    interor volume: 111
  2021 BMW i3:
    10% to 80% charge time: 30
    epa combined mpg: 113
    epa highway mpg: 102
    epa range: 153
    hands free highway: false
    interor volume: 99
  2021 Ford Mustang Mach-E AWD:
    10% to 80% charge time: 35
    epa combined mpg: 93
    epa highway mpg: 86
    epa range: 211
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E AWD Extended:
    10% to 80% charge time: 39
    epa combined mpg: 90
    epa highway mpg: 84
    epa range: 270
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E GT:
    10% to 80% charge time: 39
    epa combined mpg: 84
    epa highway mpg: 77
    epa range: 270
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E GT Performance:
    10% to 80% charge time: 39
    epa combined mpg: 82
    epa highway mpg: 75
    epa range: 260
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E RWD:
    10% to 80% charge time: 35
    epa combined mpg: 100
    epa highway mpg: 93
    epa range: 230
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E RWD California Route 1:
    10% to 80% charge time: 39
    epa combined mpg: 101
    epa highway mpg: 94
    epa range: 305
    hands free highway: true
    interor volume: 125
  2021 Ford Mustang Mach-E RWD Extended:
    10% to 80% charge time: 39
    epa combined mpg: 97
    epa highway mpg: 90
    epa range: 300
    hands free highway: true
    interor volume: 125
  2021 Hyundai Ioniq Electric:
    10% to 80% charge time: 32
    epa combined mpg: 133
    epa highway mpg: 121
    epa range: 170
    hands free highway: false
    interor volume: 119
  2021 Tesla Model 3 Standard Range Plus RWD:
    10% to 80% charge time: 27
    epa combined mpg: 142
    epa highway mpg: 133
    epa range: 263
    hands free highway: false
    interor volume: 112
  2022 Hyundai Ioniq 5 AWD (Long Range):
    10% to 80% charge time: 18
    epa combined mpg: 98
    epa highway mpg: 87
    epa range: 256
    hands free highway: false
    interor volume: 133
  2022 Hyundai Ioniq 5 RWD (Long Range):
    10% to 80% charge time: 18
    epa combined mpg: 114
    epa highway mpg: 98
    epa range: 303
    hands free highway: false
    interor volume: 133
  2022 Hyundai Ioniq 5 RWD (Standard Range):
    10% to 80% charge time: 18
    epa combined mpg: 110
    epa highway mpg: 94
    epa range: 220
    hands free highway: false
    interor volume: 133
  2022 KIA EV6 WIND AWD (Long Range):
    10% to 80% charge time: 18
    epa combined mpg: 105
    epa highway mpg: 94
    epa range: 274
    hands free highway: false
    interor volume: 127
  2022 KIA EV6 WIND RWD (Extended Range):
    10% to 80% charge time: 18
    epa combined mpg: 117
    epa highway mpg: 101
    epa range: 310
    hands free highway: false
    interor volume: 127
  2022 Mazda MX-30:
    10% to 80% charge time: 41
    epa combined mpg: 92
    epa highway mpg: 85
    epa range: 100
    hands free highway: false
    interor volume: 111
  2023 Chevrolet Bolt EUV:
    10% to 80% charge time: 73
    epa combined mpg: 115
    epa highway mpg: 104
    epa range: 247
    hands free highway: true
    interor volume: 113
  2023 Hyundai Ioniq 6 Long range AWD (18 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 121
    epa highway mpg: 111
    epa range: 316
    hands free highway: false
    interor volume: 116
  2023 Hyundai Ioniq 6 Long range AWD (20 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 103
    epa highway mpg: 94
    epa range: 270
    hands free highway: false
    interor volume: 116
  2023 Hyundai Ioniq 6 Long range RWD (18 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 140
    epa highway mpg: 127
    epa range: 361
    hands free highway: false
    interor volume: 116
  2023 Hyundai Ioniq 6 Long range RWD (20 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 117
    epa highway mpg: 105
    epa range: 305
    hands free highway: false
    interor volume: 116
  2023 Hyundai Ioniq 6 Standard Range RWD:
    10% to 80% charge time: 18
    epa combined mpg: 135
    epa highway mpg: 120
    epa range: 240
    hands free highway: false
    interor volume: 116
  2023 Hyundai Kona Electric:
    10% to 80% charge time: 41
    epa combined mpg: 120
    epa highway mpg: 106
    epa range: 258
    hands free highway: false
    interor volume: 111.60000000000001
  2024 BMW i5 eDrive40 Sedan (19 inch Wheels):
    10% to 80% charge time: 30
    epa combined mpg: 105
    epa highway mpg: 105
    epa range: 295
    hands free highway: true
    interor volume: 109
  2024 Chevrolet Equinox EV AWD:
    10% to 80% charge time: 40
    epa combined mpg: 96
    epa highway mpg: 90
    epa range: 285
    hands free highway: true
    interor volume: 129.9
  2024 Chevrolet Equinox EV FWD:
    10% to 80% charge time: 40
    epa combined mpg: 108
    epa highway mpg: 99
    epa range: 319
    hands free highway: true
    interor volume: 129.9
  2024 Ford Mustang Mach-E AWD:
    10% to 80% charge time: 35
    epa combined mpg: 91
    epa highway mpg: 88
    epa range: 230
    hands free highway: true
    interor volume: 125.0
  2024 Ford Mustang Mach-E AWD Extended:
    10% to 80% charge time: 35
    epa combined mpg: 99
    epa highway mpg: 94
    epa range: 300
    hands free highway: true
    interor volume: 125.0
  2024 Ford Mustang Mach-E GT:
    10% to 80% charge time: 35
    epa combined mpg: 90
    epa highway mpg: 85
    epa range: 280
    hands free highway: true
    interor volume: 125.0
  2024 Ford Mustang Mach-E RWD:
    10% to 80% charge time: 35
    epa combined mpg: 102
    epa highway mpg: 98
    epa range: 250
    hands free highway: true
    interor volume: 125.0
  2024 Ford Mustang Mach-E RWD Extended:
    10% to 80% charge time: 35
    epa combined mpg: 106
    epa highway mpg: 100
    epa range: 320
    hands free highway: true
    interor volume: 125.0
  2024 Ford Mustang Mach-E Rally:
    10% to 80% charge time: 35
    epa combined mpg: 86
    epa highway mpg: 81
    epa range: 265
    hands free highway: true
    interor volume: 125.0
  2024 Kia EV6 AWD GT:
    10% to 80% charge time: 18
    epa combined mpg: 83
    epa highway mpg: 77
    epa range: 218
    hands free highway: false
    interor volume: 127.4
  2024 Kia EV6 Long Range AWD (19 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 109
    epa highway mpg: 98
    epa range: 282
    hands free highway: false
    interor volume: 127.4
  2024 Kia EV6 Long Range AWD (20 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 96
    epa highway mpg: 86
    epa range: 252
    hands free highway: false
    interor volume: 127.4
  2024 Kia EV6 Long Range RWD:
    10% to 80% charge time: 18
    epa combined mpg: 117
    epa highway mpg: 101
    epa range: 310
    hands free highway: false
    interor volume: 127.4
  2024 Kia EV6 Standard Range RWD:
    10% to 80% charge time: 18
    epa combined mpg: 117
    epa highway mpg: 100
    epa range: 232
    hands free highway: false
    interor volume: 127.4
  2024 Tesla Model 3 Long Range RWD:
    10% to 80% charge time: 27
    epa combined mpg: 137
    epa highway mpg: 128
    epa range: 363
    hands free highway: false
    interor volume: 112
  2024 Tesla Model 3 RWD:
    10% to 80% charge time: 27
    epa combined mpg: 132
    epa highway mpg: 125
    epa range: 272
    hands free highway: false
    interor volume: 112
  2025 Audi Q4 45 e-tron:
    10% to 80% charge time: 28
    epa combined mpg: 115
    epa highway mpg: 104
    epa range: 288
    hands free highway: true
    interor volume: 122
  2025 Chevrolet Blazer EV AWD:
    10% to 80% charge time: 30
    epa combined mpg: 95
    epa highway mpg: 87
    epa range: 283
    hands free highway: true
    interor volume: 132
  2025 Chevrolet Blazer EV AWD SS:
    10% to 80% charge time: 30
    epa combined mpg: 85
    epa highway mpg: 77
    epa range: 303
    hands free highway: true
    interor volume: 132
  2025 Chevrolet Blazer EV FWD:
    10% to 80% charge time: 30
    epa combined mpg: 104
    epa highway mpg: 95
    epa range: 312
    hands free highway: true
    interor volume: 132
  2025 Chevrolet Blazer EV FWD 22 inch tire:
    10% to 80% charge time: 30
    epa combined mpg: 95
    epa highway mpg: 86
    epa range: 283
    hands free highway: true
    interor volume: 132
  2025 Chevrolet Blazer EV RWD:
    10% to 80% charge time: 30
    epa combined mpg: 95
    epa highway mpg: 85
    epa range: 334
    hands free highway: true
    interor volume: 132
  2025 Chevrolet Equinox EV AWD (11 kW Charger):
    10% to 80% charge time: 40
    epa combined mpg: 103
    epa highway mpg: 95
    epa range: 307
    hands free highway: true
    interor volume: 129.9
  2025 Chevrolet Equinox EV AWD (19 kW Charger):
    10% to 80% charge time: 40
    epa combined mpg: 96
    epa highway mpg: 88
    epa range: 307
    hands free highway: true
    interor volume: 129.9
  2025 Chevrolet Equinox EV FWD:
    10% to 80% charge time: 40
    epa combined mpg: 109
    epa highway mpg: 100
    epa range: 319
    hands free highway: true
    interor volume: 129.9
  2025 Chevrolet Silverado EV 5WT (11 kW Charger):
    10% to 80% charge time: 36
    epa combined mpg: 70
    epa highway mpg: 63
    epa range: 422
    hands free highway: true
    interor volume: 140.5
  2025 Honda Prologue FWD:
    10% to 80% charge time: 35
    epa combined mpg: 104
    epa highway mpg: 94
    epa range: 308
    hands free highway: false
    interor volume: 133
  2025 Hyundai Ioniq 5 RWD:
    10% to 80% charge time: 18
    epa combined mpg: 114
    epa highway mpg: 100
    epa range: 318
    hands free highway: false
    interor volume: 132.8
  2025 Hyundai Ioniq 5 Standard range:
    10% to 80% charge time: 18
    epa combined mpg: 115
    epa highway mpg: 100
    epa range: 245
    hands free highway: false
    interor volume: 132.8
  2025 Hyundai Ioniq 6 RWD (18 inch Wheels):
    10% to 80% charge time: 18
    epa combined mpg: 132
    epa highway mpg: 120
    epa range: 342
    hands free highway: false
    interor volume: 116
  2025 Hyundai Ioniq 6 Standard Range:
    10% to 80% charge time: 18
    epa combined mpg: 135
    epa highway mpg: 120
    epa range: 240
    hands free highway: false
    interor volume: 116
  2025 Lucid Air Pure RWD with 19 inch wheels:
    10% to 80% charge time: 25
    epa combined mpg: 146
    epa highway mpg: 142
    epa range: 420
    hands free highway: false
    interor volume: 133
  2025 Nissan ARIYA EVOLVE+ FWD 87kWh:
    10% to 80% charge time: 40
    epa combined mpg: 98
    epa highway mpg: 91
    epa range: 289
    hands free highway: true
    interor volume: 129
  2025 Nissan ARIYA FWD 63kWh:
    10% to 80% charge time: 35
    epa combined mpg: 101
    epa highway mpg: 94
    epa range: 216
    hands free highway: true
    interor volume: 129
  2025 Rivian R1T Dual Max (22in):
    10% to 80% charge time: 41
    epa combined mpg: 87
    epa highway mpg: 80
    epa range: 420
    hands free highway: true
    interor volume: 144
  2025 Tesla Model 3 Long Range RWD:
    10% to 80% charge time: 27
    epa combined mpg: 137
    epa highway mpg: 128
    epa range: 363
    hands free highway: false
    interor volume: 112
  2025 Tesla Model Y Long Range RWD:
    10% to 80% charge time: 27
    epa combined mpg: 125
    epa highway mpg: 117
    epa range: 337
    hands free highway: false
    interor volume: 144.3
  2025 Volkswagen ID. Buzz:
    10% to 80% charge time: 30
    epa combined mpg: 83
    epa highway mpg: 75
    epa range: 234
    hands free highway: false
    interor volume: 178.7
  2026 Nissan Leaf Plat+:
    10% to 80% charge time: 35
    epa combined mpg: 103
    epa highway mpg: 96
    epa range: 259
    hands free highway: false
    interor volume: 0
  2026 Nissan Leaf S+:
    10% to 80% charge time: 35
    epa combined mpg: 121
    epa highway mpg: 111
    epa range: 303
    hands free highway: false
    interor volume: 0
  2026 Nissan Leaf SV+:
    10% to 80% charge time: 35
    epa combined mpg: 114
    epa highway mpg: 105
    epa range: 288
    hands free highway: false
    interor volume: 0
blank car:
  name:
    10% to 80% charge time: null
    epa combined mpg: null
    epa highway mpg: null
    epa range: null
    hands free highway: null
    interor volume: null
documentation car:
  name:
    10% to 80% charge time: 10% to 80% charge time
    epa combined mpg: EPA combined MPG
    epa highway mpg: EPA highway MPG
    epa range: EPA combined range
    hands free highway: whether hands free upgrades are available on any trim level
    interor volume: EPA luggage volume + EPA passenger volume (or all volume if not
      available/truck cab)
gas:
  2003 Chevrolet Silverado 2500 2WD (Bifuel):
    epa combined mpg: 10
    epa highway mpg: 11
    epa range: 260
    hands free highway: false
    interor volume: 63.8
  2007 Saturn Vue Hybrid 2.4 L, 4 cyl, Automatic 4-spd, Regular Gasoline:
    epa combined mpg: 26
    epa highway mpg: 29
    epa range: 416
    hands free highway: false
    interor volume: 143.8
  2007 Toyota Yaris 1.5 L, 4 cyl, Automatic 4-spd, Regular Gasoline:
    epa combined mpg: 31
    epa highway mpg: 35
    epa range: 344
    hands free highway: false
    interor volume: 101
  2020 Toyota Corolla:
    epa combined mpg: 34
    epa highway mpg: 40
    epa range: 449
    hands free highway: false
    interor volume: 102
  2022 Hyundai Ioniq Blue:
    epa combined mpg: 59
    epa highway mpg: 60
    epa range: 702
    hands free highway: false
    interor volume: 123
  2024 Ford Maverick FWD 2.0 L, 4 cyl, Automatic 8-spd, Turbo, Regular Gasoline:
    epa combined mpg: 26
    epa highway mpg: 30
    epa range: 429
    hands free highway: true
    interor volume: 100.3
  2025 Chevrolet Silverado 4WD ZR2:
    epa combined mpg: 15
    epa highway mpg: 17
    epa range: 360
    hands free highway: true
    interor volume: 140
  2025 Honda Civic 4Dr 2.0 L, 4 cyl, Automatic (variable gear ratios), Regular Gasoline:
    epa combined mpg: 49
    epa highway mpg: 47
    epa range: 519
    hands free highway: false
    interor volume: 114
  2025 Toyota Prius 2.0 L, 4 cyl, Automatic (variable gear ratios):
    epa combined mpg: 57
    epa highway mpg: 56
    epa range: 644
    hands free highway: false
    interor volume: 115
